.TH IMGSIZER 1 "30 Jul 1996"
.AT 3
.SH NAME
imgsizer \- automatically splice in height and width params for HTML IMG tags
.SH SYNOPSIS
.B imgsizer [files]
.PP
.SH DESCRIPTION
The 
.B imgsizer
script automates away the tedious task of creating and updating the
extension HEIGHT and WIDTH parameters in HTML IMG tags.  These
parameters help many browsers (including Netscape) to multi-thread
image loading, instead of having to load images in strict sequence in
order to have each one's dimensions available so the next can be
placed.
.PP
This script may be called with no arguments.  In this mode, it filters
HTML presented on stdin to HTML (unaltered except for added or
corrected HEIGHT and WIDTH attributes) on stdout.  If called with file
arguments, it will attempt to transform each file in place.  Each
argument file is not actually modified until the script completes a
successful conversion pass.
.PP
This script is written on Perl, and thus requires a Perl interpreter
on the host system.  It also requires the 
.IR identify (1)
utility distributed in the freeware ImageMagick suite of image-display
and manipulation tools.  The 
.IR identify (1)
utility is used to extract sizes from the images;
.B imgsizer
itself has no knowledge of graphics formats.  The script will handle any
image format known to 
.IR identify (1)
including GIF, JPEG, XBM, XPM, PostScript, BMP, TIFF, and anything else
even remotely likely to show up as an inline image.
.PP
In order for
.B imgsizer
to correctly interpret remote URLs, the freeware script 
.IR httpget (1)
must be executable and present in your execution path;
.B imgsizer
will complain and fail if 
.IR httpget (1)
is needed and not present.
.SH AUTHOR
Eric S. Raymond <esr@thyrsus.com>.
.SH SEE ALSO
.IR identify (1),
.IR httpget (1).
